<%--
  ~ Copyright (C) 2000 - 2024 Silverpeas
  ~
  ~ This program is free software: you can redistribute it and/or modify
  ~ it under the terms of the GNU Affero General Public License as
  ~ published by the Free Software Foundation, either version 3 of the
  ~ License, or (at your option) any later version.
  ~
  ~ As a special exception to the terms and conditions of version 3.0 of
  ~ the GPL, you may redistribute this Program in connection with Free/Libre
  ~ Open Source Software ("FLOSS") applications as described in Silverpeas's
  ~ FLOSS exception.  You should have received a copy of the text describing
  ~ the FLOSS exception, and it is also available here:
  ~ "https://www.silverpeas.org/legal/floss_exception.html"
  ~
  ~ This program is distributed in the hope that it will be useful,
  ~ but WITHOUT ANY WARRANTY; without even the implied warranty of
  ~ MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  ~ GNU Affero General Public License for more details.
  ~
  ~ You should have received a copy of the GNU Affero General Public License
  ~ along with this program.  If not, see <https://www.gnu.org/licenses/>.
  --%>
<%@page contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@ taglib uri="http://www.silverpeas.com/tld/viewGenerator" prefix="view" %>
<%@ taglib uri="http://www.silverpeas.com/tld/silverFunctions" prefix="silfn" %>
<%@ taglib tagdir="/WEB-INF/tags/silverpeas/util" prefix="viewTags" %>
<%@ include file="check.jsp" %>
<c:set var="login" value="${requestScope.Login}"/>
<c:set var="password" value="${requestScope.Password}"/>
<c:set var="domain" value="${requestScope.Domain}"/>
<c:set var="url" value="${requestScope.URL}"/>

<view:sp-page>
<view:sp-head-part>
  <script type="text/javascript">
    (function() {
      const xhr = new XMLHttpRequest();
      xhr.open("get", "${silfn:escapeJs(url)}", false, "${domain}\\${login}", "${silfn:escapeJs(password)}");
      xhr.send("");
      if (xhr.status < 400) {
        sp.navRequest('${silfn:escapeJs(url)}').toTarget('SpExternalFullIFrameContainer').go();
      } else {
        SilverpeasError.add("Login et/ou Mot de passe incorrect !").show();
      }
      spProgressMessage.hide();
    })();
  </script>
</view:sp-head-part>
<view:sp-body-part>
<viewTags:displayExternalFullIframe url="javacript:void(0)"/>
<view:progressMessage/>
<script type="text/javascript">
  (function() {
    spProgressMessage.show();
  })();
</script>
</view:sp-body-part>
</view:sp-page>